import { RandomSource } from "@stablelib/random";
export declare const SIGNATURE_LENGTH = 64;
export declare const PUBLIC_KEY_LENGTH = 32;
export declare const SECRET_KEY_LENGTH = 64;
export declare const SEED_LENGTH = 32;
export interface KeyPair {
    publicKey: Uint8Array;
    secretKey: Uint8Array;
}
export declare function generateKeyPairFromSeed(seed: Uint8Array): KeyPair;
export declare function generateKeyPair(prng?: RandomSource): KeyPair;
export declare function extractPublicKeyFromSecretKey(secretKey: Uint8Array): Uint8Array;
export declare function sign(secretKey: Uint8Array, message: Uint8Array): Uint8Array;
export declare function verify(publicKey: Uint8Array, message: Uint8Array, signature: Uint8Array): boolean;
